package cn.wzpmc.hny.commands.hny;

import cn.wzpmc.hny.games.PlayerDataManager;
import cn.wzpmc.hny.pojo.GlobalPlayerData;
import com.mojang.brigadier.Command;
import com.mojang.brigadier.builder.LiteralArgumentBuilder;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.mmga.utils.interfaces.MmgaCommand;

public class HnyCommand implements MmgaCommand, Command<CommandSender> {
    @Override
    public LiteralArgumentBuilder<CommandSender> getCommandBuilder() {
        return LiteralArgumentBuilder.<CommandSender>literal("hny").requires(e -> e instanceof Player).executes(this);
    }

    @Override
    public int run(CommandContext<CommandSender> commandContext) throws CommandSyntaxException {
        Player player = (Player) commandContext.getSource();
        PlayerDataManager.getInstance().showPlayerData(player);
        return 0;
    }
}
