package cn.wzpmc.hny.events;

import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.pojo.BoxPosition;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.world.ChunkLoadEvent;
import org.bukkit.event.world.WorldLoadEvent;

public class WorldLoad implements Listener {
    private boolean isRun = false;
    @EventHandler
    public void onWorldLoad(ChunkLoadEvent event){
        World world = event.getWorld();
        if (world.getName().equals("game1")){
            if (isRun){
                return;
            }
            isRun = true;
            for (Games value : Games.values()) {
                BoxPosition boxPosition = value.getBoxPosition();
                boxPosition.triggerRedstoneLamp(world, false);
            }
            BoxPosition boxPosition = Games.GAME5.getBoxPosition();
            boxPosition.replace(world, Material.END_PORTAL, Material.AIR);
        }
    }
}
