package cn.wzpmc.hny.games.events;

import cn.wzpmc.hny.HappyNewLobby;
import cn.wzpmc.hny.games.GameStageManager;
import cn.wzpmc.hny.games.enums.Games;
import cn.wzpmc.hny.utils.BetterBukkitRunnable;
import org.bukkit.GameMode;
import org.bukkit.Location;
import org.bukkit.Server;
import org.bukkit.World;
import org.bukkit.entity.Player;

public abstract class StageEvent {
    protected Server server;
    protected HappyNewLobby plugin;
    protected Games game;
    protected Games nextGame;
    protected StageEvent(Games game, Games nextGame){
        this.plugin = HappyNewLobby.getPlugin(HappyNewLobby.class);
        this.server = this.plugin.getServer();
        this.game = game;
        this.nextGame = nextGame;
    }
    public abstract void onStageStart();
    public void onStageDone() {
        World game1World = server.getWorld("game1");
        Location location = new Location(game1World, 127, 143, 252);
        new BetterBukkitRunnable(() -> {
            for (Player onlinePlayer : server.getOnlinePlayers()) {
                onlinePlayer.setGameMode(GameMode.ADVENTURE);
                onlinePlayer.teleport(location);
                onlinePlayer.setBedSpawnLocation(location);
            }
            this.game.getBoxPosition().triggerRedstoneLamp(game1World, true);
            GameStageManager.getInstance().setUnlock(this.nextGame, true);
        }).runTaskLater(this.plugin, 40);

    };
}
