package cn.wzpmc.hny.pojo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
@AllArgsConstructor
public class GlobalPlayerData {
    private double money;
    private final List<CustomItem> inventory;
    public GlobalPlayerData(){
        this(0d, new ArrayList<>());
    }
    public void addMoney(double add){
        this.money += add;
    }
    public void reduceMoney(double reduce){
        this.money -= reduce;
    }
    public boolean addItem(CustomItem item){
        if (this.inventory.size() >= 26) {
            return false;
        }
        this.inventory.add(item);
        return true;
    }
    public boolean removeItem(CustomItem item){
        return this.inventory.remove(item);
    }
}
