package cn.wzpmc.hny.utils;

import cn.wzpmc.hny.pojo.CustomItem;
import lombok.Getter;
import org.bukkit.entity.Player;

import java.util.HashMap;
import java.util.Map;

public class ClickEventRegister {
    @FunctionalInterface
    public interface ClickEvent {
        void onClick(Player clicker);
    }
    @Getter
    private static final Map<CustomItem, ClickEvent> clickEvents = new HashMap<>();
    public static void addEvent(CustomItem customItem, ClickEvent event){
        clickEvents.put(customItem, event);
    }
}
